## python-wolf-comm 0.0.23

=== requirements.txt ===
httpx==0.26.0
lxml==5.1.0
pkce==1.0.3
shortuuid==1.0.11

## python-wolf-comm 0.0.19

=== debian/changelog ===
python-wolf-comm (0.0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 19:06:50 +0100

python-wolf-comm (0.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Add dependency on python3-aiohttp.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Sep 2024 12:35:10 +0100

python-wolf-comm (0.0.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1081949)

 -- Edward Betts <edward@4angle.com>  Mon, 16 Sep 2024 13:52:33 +0100

=== debian/control ===
Source: python-wolf-comm
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/janrothkegel/wolf-comm
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-wolf-comm
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-wolf-comm.git

Package: python3-wolf-comm
Architecture: all
Depends:
 python3-aiohttp,
 python3-pkce,
 ${misc:Depends},
 ${python3:Depends},
Description: A library to communicate with Wolf SmartSet Cloud
 This library enables interaction with the Wolf SmartSet Cloud, providing the
 ability to fetch heating system statuses such as temperature, pressure, and
 heating state. It supports session creation and built-in authentication,
 ensuring secure access to your data. Users can collect detailed information
 about their devices and parameters, enriching their understanding and control
 over their heating systems. This library is capable of managing parameters by
 removing duplications, making the data reliable and concise for further
 processing.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wolf-comm

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf wolf_comm.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-wolf-comm-$1\.tar\.gz/ \
  https://github.com/janrothkegel/wolf-comm/tags .*/v?(\d\S+)\.tar\.gz

## python-wolf-comm 0.0.21

=== debian/changelog ===
python-wolf-comm (0.0.21-1) unstable; urgency=medium

  * New upstream release.
  * Fix lintian warning description-synopsis-starts-with-article by removing
    leading article in short description.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Mar 2025 08:01:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/janrothkegel/wolf-comm
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-wolf-comm
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-wolf-comm.git
@@ -23,7 +23,7 @@
  python3-pkce,
  ${misc:Depends},
  ${python3:Depends},
-Description: A library to communicate with Wolf SmartSet Cloud
+Description: Library to communicate with Wolf SmartSet Cloud
  This library enables interaction with the Wolf SmartSet Cloud, providing the
  ability to fetch heating system statuses such as temperature, pressure, and
  heating state. It supports session creation and built-in authentication,

## python-wolf-comm 0.0.23

=== debian/changelog ===
python-wolf-comm (0.0.23-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 18 Mar 2025 06:36:13 +0000

## python-wolf-comm 0.0.47

=== debian/changelog ===
python-wolf-comm (0.0.47-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Mar 2025 12:13:11 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/janrothkegel/wolf-comm
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-wolf-comm
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-wolf-comm.git

=== debian/watch ===
version=4
https://github.com/janrothkegel/wolf-comm/tags .*/v?(\d\S+)\.tar\.gz
